Ticket #1304 (closed bug: worksforme)

Opened 15 months ago

Last modified 14 months ago

orange-canvas fails

Reported by: blaz Owned by: ales
Milestone: 2.6 Component: library
Severity: minor Keywords:
Cc: Blocking:
Blocked By:

Description

In README.txt it says:

Start orange canvas from the command line with::

     orange-canvas

but starting orange with this command gives

Orange % orange-canvas
Traceback (most recent call last):
  File "/usr/local/bin/orange-canvas", line 4, in <module>
    from pkg_resources import require; require('Orange==2.6.1')
  File "build/bdist.macosx-10.8-intel/egg/pkg_resources.py", line 2715, in <module>
    
  File "build/bdist.macosx-10.8-intel/egg/pkg_resources.py", line 588, in resolve
    The `plugin_env` should be an ``Environment`` instance that contains
pkg_resources.DistributionNotFound: Orange==2.6.1

Change History

comment:1 Changed 14 months ago by ales

  • Status changed from new to closed
  • Resolution set to worksforme

Check that you have the appropriate version of Orange on sys.path.

Note that, in case of a 'develop' installation, the version listed in Orange.egg-info/PKG-INFO MUST be >= 2.6.1, run python setup.py egg_info in the source root directory to update it if that is not the case.

Note: See TracTickets for help on using tickets.